-- draws enemies from the 'enemies' table to screen
function drawENEMY()
	for i,v in ipairs (enemies) do
	love.graphics.rectangle("line", v.x, v.y, v.width, v.height) 
	love.graphics.print("enemy: "..v.health, 300,150+(i*10))
	end
end

-- draws turrets from 'turrets' table to the screen
function drawTURRET()
	for i,v in ipairs (turrets) do
	love.graphics.rectangle("fill", v.x, v.y, v.width, v.height) 
	end
end

-- for i,t in ipairs (turrets) do
--    for j,e in ipairs (enemies) do

-- the on collision function in it's current state
function on_collision(dt, shape_a, shape_b)
	text[#text+1] = string.format("Colliding")
	local shape_other
	if shape_a.tag == "mouse" then
		shape_other = shape_b
	elseif shape_b.tag == "mouse" then
		shape_other = shape_a
	end
	if shape_other.tag == "enemy" then
		text[#text+1] = string.format("Enemy "..shape_other.id.."!")
	elseif shape_other.tag == "rect" then
		text[#text+1] = string.format("Rect!")
	end
end

--debug scrolling text for collisions
--this should list all collisions that take place
text = {}
function debugUPDATE()
		while #text > 40 do
			table.remove(text, 1)
		end
end
function debugDRAW()
	for i = 1,#text do
		love.graphics.setColor(255,255,255, 255 - (i-1) * 6)
		love.graphics.print(text[#text - (i-1)], 10, i * 15)
	end
end
--end debug

enemies = {}
enemies.id = 0

function newEnemy(x, y)
	local enemy = {}
	enemy.shape = HC.addRectangle(x,y,32,32)
	enemy.shape.tag = "enemy"
	enemy.shape.id = enemies.id
	enemies.id = enemies.id + 1
	enemy.x = x
	enemy.y = y
	enemy.health = 100
	enemy.width = 32
	enemy.height = 32
	table.insert(enemies,enemy)
end


turrets = {}
	turret = {}
	turret.x = 500 
	turret.y = 500
	turret.health = 100
	turret.width = 32
	turret.height = 32
	table.insert(turrets,turret)

	turret = {}
	turret.x = 550 
	turret.y = 500
	turret.health = 100
	turret.width = 32
	turret.height = 32
	table.insert(turrets,turret)

